Bug 1417585 - links: Multiple vulnerabilities fixed in 2.14 release
Summary: links: Multiple vulnerabilities fixed in 2.14 release
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1417586 1417587
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 11:13 UTC by Andrej Nemec
Modified: 2019-09-29 14:05 UTC (History)
2 users (show)

Fixed In Version: links 2.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:06:37 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-30 11:13:29 UTC
Links upstream just released version 2.14 which fixes some security issues.

Security bug fixed: Don't load or render the content of "407 Proxy Authentication Required" reply when using https proxy. This avoids the FalseCONNECT attack.

Limit keepalive of ciphers with 64-bit block size to mitigate the SWEET32 attack

References:

http://links.twibright.com/download/ChangeLog

Comment 1 Andrej Nemec 2017-01-30 11:14:12 UTC
Created links tracking bugs for this issue:

Affects: epel-all [bug 1417586]
Affects: fedora-all [bug 1417587]

Comment 2 Product Security DevOps Team 2019-06-08 03:06:37 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.